Bug 866532 - HTTP_REFERER check does not allow the freeipa UI to be moved.
HTTP_REFERER check does not allow the freeipa UI to be moved.
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: IPA Maintainers
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:00 EDT by Brandon
Modified: 2017-02-28 04:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:28:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon 2012-10-15 11:00:15 EDT
Description of problem:
In file rpcserver.py on line 298 the check

<code>
if not environ['HTTP_REFERER'].startswith('https://%s/ipa' % self.api.e\
nv.host) and not self.env.in_tree:
</code> 

does not allow for moving the freeipa UI away from port 443. If the freeipa UI is moved away from 443 this check produces the "RefererError" when in fact the referer is fine - the test is just wrong.

Version-Release number of selected component (if applicable):
2.2.0

How reproducible:
Easily.

Steps to reproduce:
1. Install ipa-server
2. Configure the freeipa UI (configure Apache) to run on some port other than 80/443.
3. Try to login.

Actual results:
Referer Error is produced at login.

Expected results:
Successful login

Fix:
Reduce check to "https://%s" or modify check to use a regex that allows for port numbers by adding "(:\d+)?".
Comment 1 Rob Crittenden 2012-10-15 11:43:40 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3177
Comment 3 Martin Kosek 2015-01-21 07:37:14 EST
Moving to right component.
Comment 4 Fedora End Of Life 2015-05-29 04:47:48 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Alexander Bokovoy 2015-06-01 09:13:05 EDT
Moving to rawhide.
Comment 6 Jan Kurik 2015-07-15 10:58:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Fedora End Of Life 2016-11-24 05:49:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 07:28:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Fedora End Of Life 2017-02-28 04:32:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.